<?php
/*---------------------------------------------------------------*/
/*
    Titre : Transformation d'un DateTime SQL en tableau                                                                   
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=454
    Auteur           : IlbeeNetwork                                                                                       
    Date dition     : 08 Sept 2008                                                                                       
    Date mise  jour : 28 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/

    function Date_ConvertSqlTab($date_sql) {
        $jour = substr($date_sql, 8, 2);
        $mois = substr($date_sql, 5, 2);
        $annee = substr($date_sql, 0, 4);
        $heure = substr($date_sql, 11, 2);
        $minute = substr($date_sql, 14, 2);
        $seconde = substr($date_sql, 17, 2);
        
        $key = array('annee', 'mois', 'jour', 'heure', 'minute', 'seconde');
        $value = array($annee, $mois, $jour, $heure, $minute, $seconde);
        
        $tab_retour = array_combine($key, $value);
        
        return $tab_retour;
    }
?>